Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Node handling
Created: 2012-02-20 Assigned To: Karsten Dambekalns
Updated: 2012-05-21 Due date:
Subject: setNewIndex() breaks when invalid position is given
Description

When an invalid position is given to setNewIndex(), the index of the target node iss either set to NULL or the code will break due to the
use of an uninitialized variable.

Associated revisions
Revision fd662bdd - 2012-05-21 13:42 - Karsten Dambekalns

[BUGFIX] Make setNewIndex() throw exception on invalid position

When an invalid position was given to setNewIndex(), the index of
the target node was either set to NULL or the code would break due
to the use of an uninitialized variable.

This change makes the method throw an InvalidArgumentException in
case an invalid position is given.

Change-Id: Id35d0cf17f117441a1ac0444628ffa2e91784130
Fixes: #34116

History
#1 - 2012-02-20 17:25 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9126

#2 - 2012-05-21 13:42 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9126

#3 - 2012-05-21 13:48 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#4 - 2012-05-21 15:37 - Aske Ertmann
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
